using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class User_frmTransactionDetails : System.Web.UI.Page
{
    TransactionTypeBL trans = new TransactionTypeBL();
    AccountInfoBL act = new AccountInfoBL();
    FundDepositBL deposit = new FundDepositBL();
    FundWithdrawalBL withdraw = new FundWithdrawalBL();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            try
            {
                act.Uname = Session["name"].ToString();
                ddlTransType.DataSource = trans.ShowTranstype();
                ddlTransType.DataTextField = "trans_type_name";
                ddlTransType.DataValueField = "trans_type_id";
                ddlTransType.DataBind();
                ddlTransType.Items.Insert(0, "---Select---");
                DataSet ds = new DataSet();
                ds = act.GetAccountNoByUserName();
                if (ds.Tables[0].Rows[0][0].ToString() != null)
                {
                    txtActNo.Text = ds.Tables[0].Rows[0][0].ToString();
                }
                else
                {
                    txtActNo.Text = "InValid Account No.";
                }
            }
            catch (Exception)
            {
               
            }
           
        }
    }
    

    protected void ddlTransType_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlTransType.SelectedIndex ==1)
            {
                deposit.Acno = Convert.ToInt32(txtActNo.Text.Trim());
                deposit.Date = GMDatePicker1.Date;
                GridView1.DataSource = deposit.ShowFundDepositInfo();
                GridView1.DataBind();

            }
            else
            {
                if (ddlTransType.SelectedIndex == 2)
                {
                    withdraw.Acno = Convert.ToInt32(txtActNo.Text.Trim());
                    withdraw.Date = GMDatePicker1.Date;
                    GridView1.DataSource = withdraw.ShowFundWithdrawInfo();
                    GridView1.DataBind();
                
                }
            }
        }
        catch (Exception ex)
        {
            
            throw ex;
        }
        
    }
}
