using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Add_AccountTypeMaster : System.Web.UI.Page
{
    ActStatsBL actstat = new ActStatsBL();
    ActTypeBL acttype = new ActTypeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlStatus.DataSource = actstat.ShowStatus();
            ddlStatus.DataTextField = "act_status_desc";
            ddlStatus.DataValueField = "act_status_id";
            ddlStatus.DataBind();
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        acttype.Actstatid = int.Parse(ddlStatus.SelectedValue);
        acttype.Actname = txtname.Text.Trim();
        acttype.Actabr = txtabr.Text.Trim();
        acttype.Minbal = Convert.ToDecimal(txtMinBal.Text);
        acttype.Maxbal = Convert.ToDecimal(txtMaxBal.Text);
        acttype.Detail = txtDetail.Text.Trim();
        acttype.InsertActType();
        lblMsg.Text = "Account Type Inserted Successfully...!";
        txtname.Focus();
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtname.Text = "";
        txtMaxBal.Text = "";
        txtDetail.Text = "";
        txtMinBal.Text = "";
        txtabr.Text = "";
        lblMsg.Text = "";
        txtname.Focus();
    }
}
