using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Add_City : System.Web.UI.Page
{
    StateBL state = new StateBL();
    CountryBusinessLayer obj = new CountryBusinessLayer();
    CityBL city = new CityBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DdlState.DataSource = state.ShowAllState();
            DdlState.DataTextField = "StateName";
            DdlState.DataValueField = "StateID";
            DdlState.DataBind();
            DdlState.Items.Insert(0, "----Select----");
        }
    }
    protected void BtnAdd_Click(object sender, EventArgs e)
    {
        city.CityName = txtName.Text.Trim();
        city.CityDesc = txtDesc.Text.Trim();
        city.CityCode = txtCode.Text.Trim();
        city.StateId = int.Parse(DdlState.SelectedValue);
        city.InsertCity();
        LblMsg.Text = "City Inserted....!";
        txtName.Focus();       
    }
    protected void BtnClear_Click(object sender, EventArgs e)
    {
        txtName.Text = "";
        txtDesc.Text = "";
        txtCode.Text = "";
        LblMsg.Text = "";
        txtName.Focus();
    }
  
}
