using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAddUser : System.Web.UI.Page
{
    AccountInfoBL act = new AccountInfoBL();
    CustomerSecurityBL cust = new CustomerSecurityBL();
    CustomerLoginBL login = new CustomerLoginBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlActNo.DataSource = act.ShowActNoWithoutUserName();
            ddlActNo.DataTextField = "Cust_act_no";
            ddlActNo.DataBind();
            ddlActNo.Items.Insert(0, "---Select---");
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            if (login.GetUserName(txtUname.Text.Trim()) == true)
            {
                Label1.Text = "User Name Already Exists....!";
                return;
            }
            else
            {
                login.Uname = txtUname.Text.Trim();
                login.Password = txtNewPwd.Text.Trim();
                login.InsertUserLoginInfo();
                cust.Actno = int.Parse(ddlActNo.SelectedItem.Text);
                cust.Uname = txtUname.Text.Trim();
                cust.Password = txtNewPwd.Text.Trim();
                act.Actno = int.Parse(ddlActNo.SelectedItem.Text);
                act.Uname = txtUname.Text.Trim();
                act.UpdateCustomerUserName();
                cust.InsertUser();
                Label1.Text = "Inserted...!";

            }


        }
        catch (Exception ex)
        {
            Label1.Text = ex.Message.ToString();
            txtUname.Text = "";
            ddlActNo.Focus();
        }
    }
    protected void ddlActNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            act.Actno = int.Parse(ddlActNo.SelectedItem.Text);
            DataSet ds = new DataSet();
            ds = act.ShowAccountHolderName();
            txtUname.Text = ds.Tables[0].Rows[0][0].ToString();
            Label1.Text = "";
        }
        catch (Exception)
        {
            Label1.Text = "Plz Select Account No.";

        }
        
    }
}
