using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_CheqBookTransMaster : System.Web.UI.Page
{
    EmployeeBl emp = new EmployeeBl();
    CheqBookTransMasterBL cheq = new CheqBookTransMasterBL();
    ChequeBookBL book = new ChequeBookBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            txtReqId.Text =Session["id"].ToString();
            txtActNo.Text = Session["acno"].ToString();
            ddlEmpName.DataSource = emp.ShowEmployeeName();
            ddlEmpName.DataTextField = "emp_name";
            ddlEmpName.DataValueField = "emp_no";
            ddlEmpName.DataBind();
            DataSet ds = new DataSet();
            ds = cheq.ShowCheqStartEndNo();
            txtStartNo.Text = ds.Tables[0].Rows[0][0].ToString();
            int startno, endno,total;
            startno = Convert.ToInt32(txtStartNo.Text);
            endno=Convert.ToInt32(lblNo.Text);
            total= startno + endno;
            txtEndNo.Text = total.ToString();
        }
    }

    protected void btnIssue_Click(object sender, EventArgs e)
    {
        try
        {
            cheq.Reqid = int.Parse(txtReqId.Text.Trim());
            cheq.Acno = int.Parse(txtActNo.Text.Trim());
            cheq.Startno = txtStartNo.Text.Trim();
            cheq.Endno = txtEndNo.Text.Trim();
            cheq.Empid = int.Parse(ddlEmpName.SelectedValue);
            cheq.Date = GMDatePicker1.Date;
            book.Reqid=int.Parse(txtReqId.Text.Trim());
            book.Actno = int.Parse(txtActNo.Text.Trim());
            book.UpdateCheqBookMasterStatus();
            cheq.InsertCheqBookTransMaster();
            lblMsg.Text = "Cheque Book Issued...!";
        }
        catch (Exception ex)
        {

            lblMsg.Text = ex.Message.ToString();
        }
        
    }
}
