using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_FundTransferToAccount : System.Web.UI.Page
{
    FundTransferMasterBL fund = new FundTransferMasterBL();
    AccountInfoBL act = new AccountInfoBL();
    FundDepositBL deposit = new FundDepositBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            txtActNo.Text = Session["acno"].ToString();
            txtAmount.Text = Session["amount"].ToString();
        }
    }
    protected void btnTransfer_Click(object sender, EventArgs e)
    {
        try
        {
            fund.Date = GMDatePicker1.Date;
            fund.Acno = Convert.ToInt32(txtActNo.Text.Trim());
            fund.Amount = Convert.ToDecimal(txtAmount.Text.Trim());
            act.Actno = Convert.ToInt32(txtActNo.Text.Trim());
            act.Curbal = Convert.ToDecimal(txtAmount.Text.Trim());
            act.UpdateCustAccountBalanceAfterDeposit();
            deposit.Acno = Convert.ToInt32(txtActNo.Text.Trim());
            deposit.UpdateFundDeposit();
            fund.InsertFundTransfer();
            lblMsg.Text = "Fund Tranfered Successfully To:" + " " + txtActNo.Text;
        }
        catch (Exception ex)
        {
            lblMsg.Text=ex.ToString();
        }
        


    }
}
