using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUPdateState : System.Web.UI.Page
{
    StateBL state = new StateBL();
    CountryBusinessLayer country = new CountryBusinessLayer();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            BindGridview();
            Panel1.Visible = false;
        }

    }
    private void BindData()
    {
        DdlCountry.DataSource = country.GetCountry();
        DdlCountry.DataTextField = "CountryName";
        DdlCountry.DataValueField = "CountryId";
        DdlCountry.DataBind();
    
    }
    private void BindGridview()
    {
        GridView1.DataSource = state.ShowAllState();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                state.Id = int.Parse(btn.CommandArgument.ToString());
            }
            state.DeleteState();
            LblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                state.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = state.Id;
                DataSet ds = new DataSet();
                ds = state.ShowStateById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtName.Text = dr[0].ToString();
                txtDesc.Text = dr[1].ToString();
                txtCode.Text = dr[2].ToString();
                ListItem li=DdlCountry.Items.FindByText(dr[3].ToString());
                if(li !=null)
                {
                li.Selected=true;
                }
            }
        }

    }
    protected void BtnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            state.Id = int.Parse(ViewState["Id"].ToString());
            state.StateName = txtName.Text.Trim();
            state.StateDesc = txtDesc.Text.Trim();
            state.StateCode = txtCode.Text.Trim();
            state.CountryId = int.Parse(DdlCountry.SelectedValue);
            state.UpdateState();
            BindGridview();
            LblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void BtnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;


    }
}
