using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateAccountStatus : System.Web.UI.Page
{
    ActStatsBL status = new ActStatsBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {

            Panel1.Visible = false;
            BindData();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = status.ShowStatus();
        GridView1.DataBind();
    
    }

    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();
    }
 
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                status.Id=int.Parse(btn.CommandArgument.ToString());
            }
            status.DeleteStatus();
            Label1.Text = "Deleted...!";
            BindData();
        }
    }
 
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            status.Id =int.Parse(ViewState["Id"].ToString());
            status.Description = txtDesc.Text.Trim();
            status.Abriviation = txtAbvr.Text.Trim();
            status.Details = txtDetails.Text.Trim();
            status.UpdateStatus();
            Label1.Text = "Updated...!";
            BindData();
        }
        catch (Exception)
        {
            
            throw;
        }
       

    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        try
        {
            if (e.CommandName == "Update")
            {
                Panel1.Visible = true;
                status.Id = int.Parse(e.CommandArgument.ToString());
                ViewState["Id"] = status.Id;
                DataSet ds = new DataSet();
                ds = status.ShowStatusById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtDesc.Text = dr[0].ToString();
                txtAbvr.Text = dr[1].ToString();
                txtDetails.Text = dr[2].ToString();
            }
                
        }
        catch (Exception)
        {
            
            throw;
        }
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {

    }
}
