using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateBranch : System.Web.UI.Page
{
    BankBL bank = new BankBL();
    BankBranchBL branch = new BankBranchBL();
    DesignationBL desig = new DesignationBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            BindGridview();
            Panel1.Visible = false;
        }

    }
    private void BindData()
    {
        ddlBankname.DataSource = bank.ShowBank();
        ddlBankname.DataTextField = "bank_name";
        ddlBankname.DataValueField = "bank_id";
        ddlBankname.DataBind();

        ddlDesignation.DataSource = desig.ShowDesigId();
        ddlDesignation.DataTextField = "desig_name";
        ddlDesignation.DataValueField = "desig_id";
        ddlDesignation.DataBind();

    }
    private void BindGridview()
    {
        GridView1.DataSource = branch.ShowBranch();
        GridView1.DataBind();

    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                branch.Id = int.Parse(btn.CommandArgument.ToString());
            }
            branch.DeleteBranch();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }


    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
          
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                branch.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = branch.Id;
                DataSet ds = new DataSet();
                ds = branch.ShowBranchById();
               if(ds.Tables[0].Rows.Count>0)
               {
                DataRow dr = ds.Tables[0].Rows[0];
                 ListItem li = ddlBankname.Items.FindByValue(dr[0].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }
                txtBranchname.Text = dr[1].ToString();
                txtAddress.Text = dr[2].ToString();
                ListItem li1 = ddlDesignation.Items.FindByValue(dr[3].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }
                txtDetails.Text = dr[4].ToString();
              }
            }
            else
	{
                lblMsg.Text="No Row Found...!";
	}
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            branch.Id = int.Parse(ViewState["Id"].ToString());
            branch.Bankid = int.Parse(ddlBankname.SelectedValue);
            branch.Branchname = txtBranchname.Text.Trim();
            branch.Address = txtAddress.Text.Trim();
            branch.Desigid = int.Parse(ddlDesignation.SelectedValue);
            branch.Detail = txtDetails.Text.Trim();
            branch.UpdateBranch();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        lblMsg.Text = "";
        Panel1.Visible = false;
    }
}
