using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateCountry : System.Web.UI.Page
{
    CountryBusinessLayer country = new CountryBusinessLayer();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindGridview();
            Panel1.Visible = false;
        }

    }
   private void BindGridview()
    {
        GridView1.DataSource = country.GetCountry();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                country.Id = int.Parse(btn.CommandArgument.ToString());
            }
            country.DeleteCountry();
            LblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                country.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = country.Id;
                DataSet ds = new DataSet();
                ds = country.ShowCountryById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtName.Text = dr[0].ToString();
                txtDesc.Text = dr[1].ToString();
                txtCode.Text = dr[2].ToString();
            }
        }

    }
    protected void BtnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            country.Id = int.Parse(ViewState["Id"].ToString());
            country.CountryName = txtName.Text.Trim();
            country.CountryDesc = txtDesc.Text.Trim();
            country.CountryCode = txtCode.Text.Trim();
            country.UpdateCountry();
            BindGridview();
            LblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void BtnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;

    }
}
