using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateDesignation : System.Web.UI.Page
{
    DesignationBL desig = new DesignationBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!IsPostBack)
        {
            BindGridview();
            Panel1.Visible = false;

        }

    }
    private void BindGridview()
    {
        GridView1.DataSource = desig.ShowDesigId();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                desig.Id = int.Parse(btn.CommandArgument.ToString());
            }
            desig.DeleteDesignation();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                desig.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = desig.Id;
                DataSet ds = new DataSet();
                ds = desig.ShowDesignationById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[0].ToString();
                txtdesc.Text = dr[1].ToString();
               
            }
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            desig.Id = int.Parse(ViewState["Id"].ToString());
            desig.Designame = txtname.Text.Trim();
            desig.Decsription = txtdesc.Text.Trim();
            desig.UpdateDesignation();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
