using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ElectronicCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for ActTypeBL
/// </summary>
public class ActTypeBL:Connection
{
    public static DataSet ds;
	public ActTypeBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int actstatid;

    public int Actstatid
    {
        get { return actstatid; }
        set { actstatid = value; }
    }
    string actname, actabr, detail;
    public string Actname
    {
        get { return actname; }
        set { actname = value; }
    }
    public string Actabr
    {
        get { return actabr; }
        set { actabr = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }
   decimal minbal,maxbal;
    public decimal Minbal
    {
        get { return minbal; }
        set { minbal = value; }
    }
    public decimal Maxbal
    {
        get { return maxbal; }
        set { maxbal = value; }
    }
    private int id;
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertActType()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@actstatid", this.actstatid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@actname", this.actname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@actabr", this.actabr);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@minbal", this.minbal);
        p[3].DbType = DbType.Decimal;
        p[4] = new SqlParameter("@maxbal", this.maxbal);
        p[4].DbType = DbType.Decimal;
        p[5] = new SqlParameter("@detail", this.detail);
        p[5].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertActType", p);
    }
    public DataSet ShowActType()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowActType");
        return ds;
    } 
    
    //Update
    public void UpdateActType()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@act_status_id", this.actstatid);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@act_name", this.actname);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@act_abrv", this.actabr);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@act_min_bal", this.minbal);
        p[4].DbType = DbType.Decimal;
        p[5] = new SqlParameter("@act_max_bal", this.maxbal);
        p[5].DbType = DbType.Decimal;
        p[6] = new SqlParameter("@other_details", this.detail);
        p[6].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_ActType", p);
    }
    //Delete
    public void DeleteActType()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_ActType", p);
    }
    //Show By Id
    public DataSet ShowActTypeById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_ActType_ById", p);
        return ds;
    }
}
