using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ElectronicCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for BankBL
/// </summary>
public class BankBL:Connection
{
    public static DataSet ds;
	public BankBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string bankname, address, details;

    public string Bankname
    {
        get { return bankname; }
        set { bankname = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Details
    {
        get { return details; }
        set { details = value; }
    }
    int desigid,id;
    public int Desigid
    {
        get { return desigid; }
        set { desigid = value; }
    }
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertBank()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@bankname", this.bankname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@desigid", this.desigid);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@details", this.details);
        p[3].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertBank", p);
    }
    public DataSet ShowBank()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowBank");
        return ds;
    }
    //Update
    public void UpdateBank()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@bank_name", this.bankname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@address_hq", this.address);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@oprnl_desig_id", this.desigid);
        p[3].DbType = DbType.Int16;
        p[4] = new SqlParameter("@other_details", this.details);
        p[4].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Bank", p);
    }
    //Delete
    public void DeleteBank()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Bank", p);
    }
    //Show By Id
    public DataSet ShowBankById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Bank_ById", p);
        return ds;
    }
}
