using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using ElectronicCash.DAL;
/// <summary>
/// Summary description for CustomerLoginBL
/// </summary>
public class CustomerLoginBL : Connection
{
    public static DataSet ds;
    public CustomerLoginBL()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    private string uname, password;
    public string Uname
    {
        get { return uname; }
        set { uname = value; }
    }
    public string Password
    {
        get { return password; }
        set { password = value; }
    }
    public void InsertUserLoginInfo()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpAddUserLoginInfo", p);
    }
    public bool GetAccountHolder()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckUser", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public bool GetAdmin()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckAdmin", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public void ChangePassword()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpChangePassword", p);
     
    }
    public bool GetUserName(string uname)
    {
        int count = 0;
        string str = "select count(user_name) from login_master where user_name='" + uname + "'";
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.Text, str).ToString());
        if (count > 0)
        {
            return true;
        }
        else
        {
            return false;
        }

    }
}
