using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using ElectronicCash.DAL;
/// <summary>
/// Summary description for TransactionTypeBL
/// </summary>
public class TransactionTypeBL:Connection
{
    public static DataSet ds;
	public TransactionTypeBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name, abvr;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    public string Abvr
    {
        get { return abvr; }
        set { abvr = value; }
    }
    private int id;
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertTransType()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@abvr", this.abvr);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertTransType", p);
    }
    public DataSet ShowTranstype()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowtransType");
        return ds;
    }
    //Update
    public void UpdateTransType()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@trans_type_name", this.name);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@trans_type_abrv", this.abvr);
        p[2].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_TransType", p);
    }
    //Delete
    public void DeleteTransType()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_TransType", p);
    }
    //Show By Id
    public DataSet ShowTransTypeById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_TransType_ById", p);
        return ds;
    } 
}
