using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Add_State : System.Web.UI.Page
{
    CountryBusinessLayer obj = new CountryBusinessLayer();
    StateBL state = new StateBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataSet ds = new DataSet();
            ds = obj.GetCountry();
            DdlCountry.DataSource = ds.Tables[0];
            DdlCountry.DataTextField = "CountryName";
            DdlCountry.DataValueField = "CountryId";
            DdlCountry.DataBind();

        }
    }
    protected void BtnAdd_Click(object sender, EventArgs e)
    {
        state.StateName = txtName.Text.Trim();
        state.StateDesc = txtDesc.Text.Trim();
        state.StateCode = txtCode.Text.Trim();
        state.CountryId = int.Parse(DdlCountry.SelectedValue);
        state.InsertNewState();
        LblMsg.Text = "State Inserted Succesfully...!";
        txtName.Focus();
    }
    protected void BtnClear_Click(object sender, EventArgs e)
    {

        txtName.Text = "";
        txtDesc.Text = "";
        txtCode.Text = "";
        LblMsg.Text = "";
        txtName.Focus();
    }

   
}
