using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Add_BankMaster : System.Web.UI.Page
{
    BankBL bank = new BankBL();
    DesignationBL desig = new DesignationBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlDesignation.DataSource = desig.ShowDesigId();
            ddlDesignation.DataTextField = "desig_name";
            ddlDesignation.DataValueField = "desig_id";
            ddlDesignation.DataBind();
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        bank.Bankname = txtname.Text.Trim();
        bank.Address = txtaddress.Text.Trim();
        bank.Desigid = int.Parse(ddlDesignation.SelectedValue);
        bank.Details = txtDetails.Text.Trim();
        bank.InsertBank();
        lblMsg.Text = "Bank Inserted Successfully...!";
        txtname.Focus();
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtname.Text = "";
        txtaddress.Text = "";
        txtDetails.Text = "";
        lblMsg.Text = "";
        txtname.Focus();

    }
}
