using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_FundWithdrawalFromAccount : System.Web.UI.Page
{
    FundWithdrawalBL fund = new FundWithdrawalBL();
    AccountInfoBL act = new AccountInfoBL();
    FundTransferMasterBL transfer = new FundTransferMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            txtActNo.Text = Session["acno"].ToString();
            txtAmount.Text = Session["amount"].ToString();
        }
    }
    protected void btnTransfer_Click(object sender, EventArgs e)
    {
        try
        {
            transfer.Date = GMDatePicker1.Date;
            transfer.Acno = Convert.ToInt32(txtActNo.Text.Trim());
            transfer.Amount = Convert.ToDecimal(txtAmount.Text.Trim());
            act.Actno = Convert.ToInt32(txtActNo.Text.Trim());
            act.Curbal = Convert.ToDecimal(txtAmount.Text.Trim());
            act.UpdateCustAccountBalanceAfterWithdraw();
            fund.Acno = Convert.ToInt32(txtActNo.Text.Trim());
            fund.UpdateFundWithdraw();
            transfer.InsertFundTransfer();
            lblMsg.Text = "Fund Withdraw Successfully From:" + " " + txtActNo.Text;
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.ToString();
        }
        

    }
}
