using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateAccountType : System.Web.UI.Page
{
    ActStatsBL actstat = new ActStatsBL();
    ActTypeBL acttype = new ActTypeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Panel1.Visible = false; 
            BindData();
            BindGridview();
        }

    }
    private void BindData()
    {
        ddlStatus.DataSource = actstat.ShowStatus();
        ddlStatus.DataTextField = "act_status_desc";
        ddlStatus.DataValueField = "act_status_id";
        ddlStatus.Items.Insert(0, "---Select---");
        ddlStatus.DataBind();
    }
    private void BindGridview()
    {
        GridView1.DataSource = acttype.ShowActType();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();
    }
    
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            acttype.Id = int.Parse(ViewState["Id"].ToString());
            acttype.Actstatid = int.Parse(ddlStatus.SelectedValue);
            acttype.Actname = txtname.Text.Trim();
            acttype.Actabr = txtabr.Text.Trim();
            acttype.Minbal =Convert.ToDecimal(txtMinBal.Text.Trim());
            acttype.Maxbal = Convert.ToDecimal(txtMaxBal.Text.Trim());
            acttype.Detail = txtDetail.Text.Trim();
            acttype.UpdateActType();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {

        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                acttype.Id = int.Parse(btn.CommandArgument.ToString());
            }
            acttype.DeleteActType();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
          Button btn;
          foreach (GridViewRow gr in GridView1.Rows)
          {
              if (gr.RowIndex == e.RowIndex)
              {
                 
                  Panel1.Visible = true;
                  btn = (Button)gr.FindControl("btndelete");
                  acttype.Id = int.Parse(btn.CommandArgument.ToString());
                  ViewState["Id"] = acttype.Id;
                  DataSet ds = new DataSet();
                  ds = acttype.ShowActTypeById();
                  DataRow dr = ds.Tables[0].Rows[0];

                  ListItem li = ddlStatus.Items.FindByValue(dr[0].ToString());
                  if (li != null)
                  {
                      li.Selected = true;
                  }
                  txtname.Text = dr[1].ToString();
                  txtabr.Text = dr[2].ToString();
                  txtMinBal.Text = dr[3].ToString();
                  txtMaxBal.Text = dr[4].ToString();
                  txtDetail.Text = dr[5].ToString();
              }
          }
    }
}
