using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateBank : System.Web.UI.Page
{
    DesignationBL desig = new DesignationBL();
    BankBL bank = new BankBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindData();
            BindGridview();
        }
    }
    private void BindData()
    {
        ddlDesignation.DataSource = desig.ShowDesigId();
        ddlDesignation.DataTextField = "desig_name";
        ddlDesignation.DataValueField = "desig_id";
        ddlDesignation.Items.Insert(0, "---Select---");
        ddlDesignation.DataBind();
    
    }
    private void BindGridview()
    {
        GridView1.DataSource = bank.ShowBank();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                bank.Id = int.Parse(btn.CommandArgument.ToString());
            }
            bank.DeleteBank();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
               
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                bank.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = bank.Id;
                DataSet ds = new DataSet();
                ds = bank.ShowBankById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[0].ToString();
                txtaddress.Text = dr[1].ToString();
             
                ListItem li = ddlDesignation.Items.FindByValue(dr[2].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }
                txtDetails.Text = dr[3].ToString();
               
               
            }
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            bank.Id = int.Parse(ViewState["Id"].ToString());
            bank.Bankname = txtname.Text.Trim();
            bank.Address = txtaddress.Text.Trim();
            bank.Desigid = int.Parse(ddlDesignation.SelectedValue);
            bank.Details = txtDetails.Text.Trim();
            bank.UpdateBank();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
