using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateCity : System.Web.UI.Page
{
    CityBL city = new CityBL();
    StateBL state = new StateBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            BindGridview();
            Panel1.Visible = false;
        }
    }
    private void BindData()
    {
        DdlState.DataSource = state.ShowAllState();
        DdlState.DataTextField = "StateName";
        DdlState.DataValueField = "StateID";
        DdlState.DataBind();
        DdlState.Items.Insert(0, "----Select----");

    }
    private void BindGridview()
    {
        GridView1.DataSource = city.ShowAllCity();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();


    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                city.Id = int.Parse(btn.CommandArgument.ToString());
            }
            city.DeleteCity();
            LblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                city.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = city.Id;
                DataSet ds = new DataSet();
                ds = city.ShowCityById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtName.Text = dr[0].ToString();
                txtDesc.Text = dr[1].ToString();
                txtCode.Text = dr[2].ToString();
                ListItem li = DdlState.Items.FindByValue(dr[3].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }
             


            }
        }

    }
    protected void BtnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            city.Id = int.Parse(ViewState["Id"].ToString());
            city.CityName = txtName.Text.Trim();
            city.CityDesc = txtDesc.Text.Trim();
            city.CityCode = txtCode.Text.Trim();
            if (DdlState.SelectedIndex == 0)
            {
                LblMsg.Text = "Plz Select State...!";
            }
            else
            {
                city.StateId = int.Parse(DdlState.SelectedValue);
                city.UpdateCity();
                BindGridview();
                LblMsg.Text = "Updated...!";

            }
          
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void BtnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
