using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateCustomer : System.Web.UI.Page
{
    CustomerPersonalInfoBL customer = new CustomerPersonalInfoBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
           
            Panel1.Visible = false;
            BindGridview();
        }

    }
    private void BindGridview()
    {
        GridView1.DataSource = customer.ShowCustomerId();
        GridView1.DataBind();

    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
               customer.Id = int.Parse(btn.CommandArgument.ToString());
            }
            customer.DeleteCustomer();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                customer.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = customer.Id;
                DataSet ds = new DataSet();
                ds = customer.ShowCustomerById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[0].ToString();
                txtAddress.Text = dr[1].ToString();
                txtPhone.Text=dr[2].ToString();
                 txtMail.Text=dr[3].ToString();
                 txtDetail.Text = dr[4].ToString();

            }
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {

        try
        {
            customer.Id = int.Parse(ViewState["Id"].ToString());
            customer.Name = txtname.Text.Trim();
            customer.Address = txtAddress.Text.Trim();
            customer.Phone = txtPhone.Text.Trim();
            customer.Email = txtMail.Text.Trim();
            customer.Detail = txtDetail.Text.Trim();
            customer.UpdateCustomer();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
