using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateEmployee : System.Web.UI.Page
{
    BankBranchBL branch = new BankBranchBL();
    EmployeeBl emp = new EmployeeBl();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            Panel1.Visible = false;
            BindGridview();
        }

    }
    private void BindData()
    {
        ddlBranchname.DataSource = branch.ShowBranch();
        ddlBranchname.DataTextField = "branch_name";
        ddlBranchname.DataValueField = "branch_id";
        ddlBranchname.DataBind();
    
    }
    private void BindGridview()
    {
        GridView1.DataSource = emp.ShowEmployeeName();
        GridView1.DataBind();
    
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridview();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                emp.Id = int.Parse(btn.CommandArgument.ToString());
            }
            emp.DeleteEmployee();
            lblMsg.Text = "Deleted...!";
            BindGridview();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                emp.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = emp.Id;
                DataSet ds = new DataSet();
                ds = emp.ShowEmployeeById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[0].ToString();
                txtAddress.Text = dr[1].ToString();
                GMDatePicker1.Date = Convert.ToDateTime(dr[2].ToString());
                GMDatePicker2.Date = Convert.ToDateTime(dr[3].ToString());
                ListItem li = ddlBranchname.Items.FindByValue(dr[4].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }

            }
        }

    }

    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            emp.Id = int.Parse(ViewState["Id"].ToString());
            emp.Name = txtname.Text.Trim();
            emp.Address = txtAddress.Text.Trim();
            emp.Dob = GMDatePicker1.Date.Date;
            emp.Doj = GMDatePicker2.Date.Date;
            emp.Branchid = int.Parse(ddlBranchname.SelectedValue);
            emp.UpdateEmployee();
            BindGridview();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
