using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateServiceType : System.Web.UI.Page
{
    ServiceTypeBL service = new ServiceTypeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            Panel1.Visible = false;
        }

    }
    public void BindData()
    {
        GridView1.DataSource = service.ShowServiceId();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                service.Id = int.Parse(btn.CommandArgument.ToString());
            }
            service.DeleteServiceType();
            lblMsg.Text = "Deleted...!";
            BindData();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                service.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = service.Id;
                DataSet ds = new DataSet();
                ds = service.ShowServiceType_ById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtDescription.Text = dr[0].ToString();
                txtAbvr.Text = dr[1].ToString();
                txtDetail.Text = dr[2].ToString();
                GMDatePicker1.Date = Convert.ToDateTime(dr[3].ToString());
                txtinitRate.Text = dr[4].ToString();
              
            }
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            service.Id = int.Parse(ViewState["Id"].ToString());
            service.Description = txtDescription.Text.Trim();
            service.Abvr = txtAbvr.Text.Trim();
            service.Detail= txtDetail.Text.Trim();
            service.Date = GMDatePicker1.Date.Date;
            service.Rate=Convert.ToDecimal(txtinitRate.Text.Trim());
            service.UpdateServiceType();
            BindData();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
    }
}
