using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmUpdateTransactionType : System.Web.UI.Page
{
    TransactionTypeBL trans = new TransactionTypeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindGridveiw();
        }

    }
    private void BindGridveiw()
    {
        GridView1.DataSource = trans.ShowTranstype();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindGridveiw();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                trans.Id = int.Parse(btn.CommandArgument.ToString());
            }
            trans.DeleteTransType();
            lblMsg.Text = "Deleted...!";
            BindGridveiw();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {

                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                trans.Id = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = trans.Id;
                DataSet ds = new DataSet();
                ds = trans.ShowTransTypeById();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[0].ToString();
                txtabvr.Text = dr[1].ToString();

            }
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            trans.Id = int.Parse(ViewState["Id"].ToString());
            trans.Name = txtname.Text.Trim();
            trans.Abvr = txtabvr.Text.Trim();
            trans.UpdateTransType();
            BindGridveiw();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;

    }
}
