using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ElectronicCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for ActStatsBL
/// </summary>
public class ActStatsBL:Connection
{
    public static DataSet ds;
	public ActStatsBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string description, abriviation, details;

    public string Description
    {
        get { return description; }
        set { description = value; }
    }
    public string Abriviation
    {
        get { return abriviation; }
        set { abriviation = value; }
    }
    public string Details
    {
        get { return details; }
        set { details = value; }
    }
    private int id;
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertActStatus()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@description", this.description);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@abriviation", this.abriviation);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@details", this.details);
        p[2].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertActStatus", p);
    }
    public DataSet ShowStatus()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowStatus");
        return ds;
    }
    //Update
    public void UpdateStatus()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@act_status_desc", this.description);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@act_status_abrv", this.abriviation);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@other_details", this.details);
        p[3].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Status", p);
    }
    //Delete
    public void DeleteStatus()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Status", p);
    }
    //Show By Id
    public DataSet ShowStatusById()
    { SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Status_ById", p);
        return ds;
    }
}
