using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using ElectronicCash.DAL;
/// <summary>
/// Summary description for CustomerPersonalInfoBL
/// </summary>
public class CustomerPersonalInfoBL:Connection
{
    public static DataSet ds;
	public CustomerPersonalInfoBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
  private string name,address,phone,email,detail;
    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Phone
    {
        get { return phone; }
        set { phone = value; }
    }
    public string Email
    {
        get { return email; }
        set { email = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }
    int acno,id;
    public int Acno
    {
        get { return acno; }
        set { acno = value; }
    }
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertCustomerInfo()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@phone", this.phone);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@email", this.email);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@detail", this.detail);
        p[4].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertCustomerInfo", p);
    }
    public DataSet ShowCustomerId()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustomerId");
        return ds;
    }

    //Update
    public void UpdateAcoountHolderInfo()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@acno", this.acno);
        p[0].DbType = DbType.Int32;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@phone", this.phone);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@mail", this.email);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@detail", this.detail);
        p[4].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateAcoountHolderInfo", p);
    }

    public void UpdateCustomer()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@name", this.name);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@address", this.address);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@phone", this.phone);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@mail", this.email);
        p[4].DbType = DbType.String;
        p[5] = new SqlParameter("@detail", this.detail);
        p[5].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Customer", p);
    }
    //Delete
    public void DeleteCustomer()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Customer", p);
    }
    //Show By Id
    public DataSet ShowCustomerById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Customer_ById", p);
        return ds;
    } 
}
