using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ElectronicCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for DesignationBL
/// </summary>
public class DesignationBL:Connection
{
    public static DataSet ds;
	public DesignationBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string designame, decsription;

    public string Designame
    {
        get { return designame; }
        set { designame = value; }
    }
    public string Decsription
    {
        get { return decsription; }
        set { decsription = value; }
    }
    private int id;
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertDesignation()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@designame", this.designame);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@decsription", this.decsription);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertDesignation", p);
    }
    public DataSet ShowDesigId()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDesigId ");
        return ds;
    }
    //Update
    public void UpdateDesignation()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@desig_name", this.designame);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@desig_desc", this.decsription);
        p[2].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Designation", p);
    }
    //Delete
    public void DeleteDesignation()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Designation", p);
    }
    //Show By Id
    public DataSet ShowDesignationById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Designation_ById", p);
        return ds;
    } 
}
