using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using ElectronicCash.DAL;
/// <summary>
/// Summary description for FundDepositBL
/// </summary>
public class FundDepositBL:Connection
{
    public static DataSet ds;
	public FundDepositBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    private int acno;
    public int Acno
    {
        get { return acno; }
        set { acno = value; }
    }
    private DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    private decimal amount;
    public decimal Amount
    {
        get { return amount; }
        set { amount = value; }
    }
    public void InsertFundDeposit()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@acno", this.acno);
        p[0].DbType = DbType.Int32;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.Date;
        p[2] = new SqlParameter("@amount", this.amount);
        p[2].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertFundDeposit", p);
    }
    public DataSet ShowFundToTransferByDate()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@date", this.date);
        p[0].DbType = DbType.Date;
      ds=SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowFundToTransferByDate", p);
      return ds;
  }
  public void UpdateFundDeposit()
  {
      SqlParameter[] p = new SqlParameter[1];
      p[0] = new SqlParameter("@acno", this.acno);
      p[0].DbType = DbType.Int32;
      SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateFundDeposit", p);
  }
    public DataSet ShowFundDepositInfo()
  {
      ds = new DataSet();
      SqlParameter[] p = new SqlParameter[2];
      p[0] = new SqlParameter("@acno", this.acno);
      p[0].DbType = DbType.Int32;
      p[1] = new SqlParameter("@date", this.date);
      p[1].DbType = DbType.Date;
      ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowFundDepositInfo", p);
      return ds;
  }
}
