using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using ElectronicCash.DAL;
/// <summary>
/// Summary description for ServiceTypeBL
/// </summary>
public class ServiceTypeBL:Connection
{
    public static DataSet ds;
	public ServiceTypeBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string description, abvr, detail;

    public string Description
    {
        get { return description; }
        set { description = value; }
    }
    public string Abvr
    {
        get { return abvr; }
        set { abvr = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }
   DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
   decimal rate;
    public decimal Rate
    {
        get { return rate; }
        set { rate = value; }
    }
    private int id;
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertService()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@description", this.description);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@abvr", this.abvr);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@detail", this.detail);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@date", this.date);
        p[3].DbType = DbType.DateTime;
        p[4] = new SqlParameter("rate", this.rate);
        p[4].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertService", p);
    }
    public DataSet ShowServiceId()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowServiceId");
        return ds;
    }
    //Update
    public void UpdateServiceType()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@description", this.description);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@abvr", this.abvr);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@detail", this.detail);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@date", this.date);
        p[4].DbType = DbType.DateTime;
        p[5] = new SqlParameter("rate", this.rate);
        p[5].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_ServiceType", p);
    }
    //Delete
    public void DeleteServiceType()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_ServiceType", p);
    }
    //Show By Id
    public DataSet ShowServiceType_ById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_ServiceType_ById", p);
        return ds;
    } 
}
