using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ElectronicCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for StateBL
/// </summary>
public class StateBL:Connection
{
    public static DataSet ds;
	public StateBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string stateName, stateCode, stateDesc;

    public string StateName
    {
        get { return stateName; }
        set { stateName = value; }
    }

    public string StateDesc
    {
        get { return stateDesc; }
        set { stateDesc = value; }
    }

    public string StateCode
    {
        get { return stateCode; }
        set { stateCode = value; }
    }
    int countryId,id;
    public int CountryId
    {
        get { return countryId; }
        set { countryId = value; }
    }
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public  void InsertNewState()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@StateName",this.stateName);
        p[0].DbType =DbType.String;
        p[1] = new SqlParameter("@StateDesc", this.stateDesc);
        p[1].DbType =DbType.String;
        p[2] = new SqlParameter("@StateCode", this.stateCode);
        p[2].DbType =DbType.String;
        p[3] = new SqlParameter("@CountryId",this.countryId);
        p[3].DbType =DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "AddState", p);
    }
    public DataSet ShowAllState()
    {   ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "ShowState");
        return ds;
    }
    public DataSet GetStateByCountryId()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@countryid", this.countryId);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpGetStateByCountryId", p);
        return ds;
    } 
    
    //Update
    public void UpdateState()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@StateName", this.stateName);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@StateDesc", this.stateDesc);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@StateCode", this.stateCode);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@CountryID", this.countryId);
        p[4].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_State", p);
    }
    //Delete
    public void DeleteState()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_State", p);
    }
    //Show By Id
    public DataSet ShowStateById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_State_ById", p);
        return ds;
    } 
}
